MetricAuxLogManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MetricAuxLogManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MetricAuxLogManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.measurement.server.session.MetricAuxLogManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class MetricAuxLogManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`MetricAuxLogManagerEJBImpl()`

Method Summary
`MetricAuxLogPojo` | `create(GalertAuxLog log, MetricAuxLog logInfo)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`MetricAuxLogPojo` | `find(GalertAuxLog log)`
`static org.hyperic.hq.measurement.shared.MetricAuxLogManagerLocal` | `getOne()`
`void` | `metricsDeleted(java.util.Collection mids)` Callback, invoked when metrics are deleted.
`void` | `removeAll(GalertDef def)`
`void` | `setSessionContext(javax.ejb.SessionContext c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricAuxLogManagerEJBImpl

    public MetricAuxLogManagerEJBImpl()

Method Detail

### getOne

    public static org.hyperic.hq.measurement.shared.MetricAuxLogManagerLocal getOne()

### create

    public MetricAuxLogPojo create(GalertAuxLog log,
                                   MetricAuxLog logInfo)

### removeAll

    public void removeAll(GalertDef def)

### find

    public MetricAuxLogPojo find(GalertAuxLog log)

### metricsDeleted

    public void metricsDeleted(java.util.Collection mids)

  Callback, invoked when metrics are deleted. Since we still want to keep the measurement around, we delete the value from the metric_aux_log and transform the entry in the galert_aux_log to a regular entry.

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext c)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.